
Redmine - Patch #26130

Refactor "multiple_values_detail" struct creation

2017-06-09 14:42 - Thomas Löber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Hi,

In the IssuesHelper#details_to_strings method (source:trunk/app/helpers/issues_helper.rb@16387#L373) a new class (Struct) is

created each time the method is called:

  multiple_values_detail = Struct.new(:property, :prop_key, :custom_field, :old_value, :value)

 Although classes are garbage collected in recent Ruby versions, it might be better to use a constant definition outside the method,

like:

  MultipleValuesDetail = Struct.new(:property, :prop_key, :custom_field, :old_value, :value)

 Regards,

Thomas

Associated revisions

Revision 16707 - 2017-06-25 21:24 - Jean-Philippe Lang

Refactor "multiple_values_detail" struct creation (#26130).

History

#1 - 2017-06-10 05:45 - Go MAEDA

- Category changed from Performance to Code cleanup/refactoring

#2 - 2017-06-10 05:52 - Go MAEDA

- Description updated

#3 - 2017-06-25 21:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

Change committed, thanks.

#4 - 2017-06-26 05:54 - Toshi MARUYAMA

- Description updated

#5 - 2017-06-26 05:55 - Toshi MARUYAMA

- Target version changed from 4.0.0 to 4.1.0

I think target version should be version:3.5.0 because there is no 3.5-stable in Subversion.

#6 - 2017-07-08 18:37 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0
